package com.lovecoding.day23.relect;

public class Test04 {


    public static void main(String[] args) throws ClassNotFoundException {
        //不会初始化
        // 使用某个类的静态的常量（static  final）
        System.out.println(AA.bb);

        //通过子类调用父类的静态变量，静态方法，只会导致父类初始化，不会导致子类初始化，即只有声明静态成员的类才会初始化
        System.out.println(DD.CC);


        //用某个类型声明数组并创建数组对象时，不会导致这个类初始化
        Emp[] emps = new Emp[2];



    }
}

class AA {
    static{
        System.out.println("AA类的初始化");
    }
    public static final String bb = "123";
}

class BB{

}

class CC {
    static{
        System.out.println("CC类的初始化");
    }
    public static String CC = "CC";
}

class DD extends CC {
    static{
        System.out.println("DD类的初始化");
    }
}